Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Config_Handler::Utils Class Reference

Utility class for parsing basic types such as string float double etc. More...

`#include <Utils.h>`

List of all members.

## Static Public Member Functions
char * | parse_string (DOMNodeIterator *iter)
CORBA::ULong | parse_ulong (DOMNodeIterator *iter)
CORBA::Long | parse_long (DOMNodeIterator *iter)
CORBA::Short | parse_short (DOMNodeIterator *iter)
CORBA::Float | parse_float (DOMNodeIterator *iter)
CORBA::Double | parse_double (DOMNodeIterator *iter)
CORBA::Boolean | parse_bool (DOMNodeIterator *iter)
CORBA::Char | parse_char (DOMNodeIterator *iter)
CORBA::Octet | parse_octet (DOMNodeIterator *iter)
DOMDocument * | create_document (const char *url)
DOMBuilder * | create_parser ()
bool | process_string (DOMNodeIterator *iter, const XStr &node_name, const char *name, TAO_String_Manager &var)
bool | process_string_seq (DOMNodeIterator *iter, const XStr &node_name, const char *name, CORBA::StringSeq &seq)
bool | process_boolean (DOMNodeIterator *iter, const XStr &node_name, const char *name, CORBA::Boolean &var)
bool | process_ulong (DOMNodeIterator *iter, const XStr &node_name, const char *name, CORBA::ULong &var)
DOMNodeIterator * | parse_href_tag (XMLURL xml_url, DOMDocument *doc)

## Detailed Description

Utility class for parsing basic types such as string float double etc.

Helper methods for each type are defined as parse_<type> where type equals string, float, double etc. The corresponding C++ types are returned. These follow the IDL to C++ mapping defined by the CORBA specification.

## Member Function Documentation

DOMDocument * CIAO::Config_Handler::Utils::create_document | ( | const char * | url | ) | `[static]`

DOMBuilder * CIAO::Config_Handler::Utils::create_parser | ( |  | ) | `[static]`

CORBA::Boolean CIAO::Config_Handler::Utils::parse_bool | ( | DOMNodeIterator * | iter | ) | `[static]`

CORBA::Char CIAO::Config_Handler::Utils::parse_char | ( | DOMNodeIterator * | iter | ) | `[static]`

CORBA::Double CIAO::Config_Handler::Utils::parse_double | ( | DOMNodeIterator * | iter | ) | `[static]`

CORBA::Float CIAO::Config_Handler::Utils::parse_float | ( | DOMNodeIterator * | iter | ) | `[static]`

DOMNodeIterator * CIAO::Config_Handler::Utils::parse_href_tag | ( | XMLURL | xml_url,
|  | DOMDocument * | doc
| ) | `[static]`

CORBA::Long CIAO::Config_Handler::Utils::parse_long | ( | DOMNodeIterator * | iter | ) | `[static]`

CORBA::Octet CIAO::Config_Handler::Utils::parse_octet | ( | DOMNodeIterator * | iter | ) | `[static]`

CORBA::Short CIAO::Config_Handler::Utils::parse_short | ( | DOMNodeIterator * | iter | ) | `[static]`

char * CIAO::Config_Handler::Utils::parse_string | ( | DOMNodeIterator * | iter | ) | `[static]`

CORBA::ULong CIAO::Config_Handler::Utils::parse_ulong | ( | DOMNodeIterator * | iter | ) | `[static]`

bool CIAO::Config_Handler::Utils::process_boolean | ( | DOMNodeIterator * | iter,
|  | const XStr & | node_name,
|  | const char * | name,
|  | CORBA::Boolean & | var
| ) | `[static]`

bool CIAO::Config_Handler::Utils::process_string | ( | DOMNodeIterator * | iter,
|  | const XStr & | node_name,
|  | const char * | name,
|  | TAO_String_Manager & | var
| ) | `[static]`

bool CIAO::Config_Handler::Utils::process_string_seq | ( | DOMNodeIterator * | iter,
|  | const XStr & | node_name,
|  | const char * | name,
|  | CORBA::StringSeq & | seq
| ) | `[static]`

bool CIAO::Config_Handler::Utils::process_ulong | ( | DOMNodeIterator * | iter,
|  | const XStr & | node_name,
|  | const char * | name,
|  | CORBA::ULong & | var
| ) | `[static]`

The documentation for this class was generated from the following files:

- Utils.h
- Utils.cpp